local mt = {}
mt.__index = mt

local artifact = love.graphics.newImage('img/artifact.png')


function mt:update (dt)

  self.y = self.y - self.speed

  if self.y > self.max then
    self.speed = - self.speed
   end

  if self.y < self.min then
    self.speed = - self.speed
  end



end

function mt:draw ()
  if not const.get_out then
    love.graphics.draw(artifact, self.x, self.y, self.rot, 1, 1, 4, 4)--, sx, sy, ox, oy, kx, ky)
  end
end

return {
  new = function()
    return setmetatable({
      x = 616,
      y = 128,
      w = artifact:getWidth(),
      h = artifact:getHeight(),
      max = 130,
      min = 126,
      speed = 0.1,
      is_collected = false,
      is_key = true
    }, mt)
  end
}
