local mt = {}
mt.__index = mt

function mt:update(dt)
end

function mt:draw()
  love.graphics.setColor(1,1,1,0)
  love.graphics.rectangle("fill", self.x, self.y, self.w, self.h)
  love.graphics.setColor(1,1,1,1)
end

return {
    new = function (x, y)
    return setmetatable({
      x = x,
      y = y,
      w = 16,
      h = 16,
      isPlate = true
    }, mt)
  end
}
