teleportTimer3 = Timer.new()

const.laser_rate = 1.5

laserTimer3 = Timer.new()
laserTimer3:every(const.laser_rate, function() laser_is_disabled = not laser_is_disabled end)

local mt = {}
mt.__index = mt

const.laser_colour = {1,0,0,1}

--lasers facing right
local laser_r1 = Laser.new(68, 103.5, 100, 1.25) laser_world3:add(laser_r1)
local laser_r2 = Laser.new(128, 103.5, 100, 1.25) laser_world3:add(laser_r2)
local laser_r3 = Laser.new(208, 72, 100, 1.25) laser_world3:add(laser_r3)
local laser_r4 = Laser.new(277, 151, 100, 1.25) laser_world3:add(laser_r4)
local laser_r5 = Laser.new(21, 215, 100, 1.25) laser_world3:add(laser_r5)
local laser_r6 = Laser.new(21, 151, 100, 1.25) laser_world3:add(laser_r6)
local laser_r7 = Laser.new(116, 247, 100, 1.25) laser_world3:add(laser_r7)
local laser_r8 = Laser.new(244, 199, 100, 1.25) laser_world3:add(laser_r8)
local laser_r9 = Laser.new(165, 423, 250, 1.25) laser_world3:add(laser_r9)
local laser_r10 = Laser.new(100, 615, 300, 1.25) laser_world3:add(laser_r10)
local laser_r11 = Laser.new(69, 519, 100, 1.25) laser_world3:add(laser_r11)
local laser_r12 = Laser.new(357, 551, 150, 1.25) laser_world3:add(laser_r12)
local laser_r13 = Laser.new(629, 615, 100, 1.25) laser_world3:add(laser_r13)
local laser_r14 = Laser.new(500, 471, 100, 1.25) laser_world3:add(laser_r14)
local laser_r15 = Laser.new(533, 407, 200, 1.25) laser_world3:add(laser_r15)
local laser_r16 = Laser.new(533, 183, 200, 1.25) laser_world3:add(laser_r16)

--lasers facing left
local laser_l1 = Laser.new(427, 345, -550, -1.25) laser_world3:add(laser_l1)
local laser_l2 = Laser.new(620, 489, -100, -1.25) laser_world3:add(laser_l2)

--lasers facing down
local laser_d1 = Laser.new(279, 20, 1.25, 100) laser_world3:add(laser_d1)
local laser_d2 = Laser.new(311, 20, 1.25, 100) laser_world3:add(laser_d2)
local laser_d3 = Laser.new(55, 132, 1.25, 180) laser_world3:add(laser_d3)
local laser_d4 = Laser.new(295, 180, 1.25, 100) laser_world3:add(laser_d4)
local laser_d5 = Laser.new(503, 244, 1.25, 100) laser_world3:add(laser_d5)
local laser_d6 = Laser.new(23, 372, 1.25, 180) laser_world3:add(laser_d6)
local laser_d7 = Laser.new(39, 485, 1.25, 100) laser_world3:add(laser_d7)
local laser_d8 = Laser.new(215, 453, 1.25, 100) laser_world3:add(laser_d8)
local laser_d9 = Laser.new(279, 453, 1.25, 100) laser_world3:add(laser_d9)
local laser_d10 = Laser.new(439, 484, 1.25, 100) laser_world3:add(laser_d10)
local laser_d11 = Laser.new(407, 453, 1.25, 100) laser_world3:add(laser_d11)
local laser_d12 = Laser.new(551, 452, 1.25, 100) laser_world3:add(laser_d12)
local laser_d13 = Laser.new(583, 228, 1.25, 100) laser_world3:add(laser_d13)
local laser_d14 = Laser.new(615.5, 228, 1.25, 220) laser_world3:add(laser_d14)
local laser_d15 = Laser.new(647, 228, 1.25, 100) laser_world3:add(laser_d15)
local laser_d16 = Laser.new(567, 116, 1.25, 100) laser_world3:add(laser_d16)
local laser_d17 = Laser.new(663, 116, 1.25, 100) laser_world3:add(laser_d17)

--plates facing right
local plate_r1 = Plate.new(110, 100) laser_world3:add(plate_r1)
local plate_r2 = Plate.new(222, 99) laser_world3:add(plate_r2)
local plate_r3 = Plate.new(238, 68) laser_world3:add(plate_r3)
local plate_r4 = Plate.new(318, 147) laser_world3:add(plate_r4)
local plate_r5 = Plate.new(63, 211) laser_world3:add(plate_r5)
local plate_r6 = Plate.new(78, 145) laser_world3:add(plate_r6)
local plate_r7 = Plate.new(159, 240) laser_world3:add(plate_r7)
local plate_r8 = Plate.new(271, 193) laser_world3:add(plate_r8)
local plate_r9 = Plate.new(334, 419) laser_world3:add(plate_r9)
local plate_r10 = Plate.new(335, 611) laser_world3:add(plate_r10)
local plate_r11 = Plate.new(159, 515) laser_world3:add(plate_r11)
local plate_r12 = Plate.new(478, 547) laser_world3:add(plate_r12)
local plate_r13 = Plate.new(702, 611) laser_world3:add(plate_r13)
local plate_r14 = Plate.new(526, 467) laser_world3:add(plate_r14)
local plate_r15 = Plate.new(702, 403) laser_world3:add(plate_r15)
local plate_r16 = Plate.new(702, 179) laser_world3:add(plate_r16)

--plates facing left
local plate_l1 = Plate.new(82, 340) laser_world3:add(plate_l1)
local plate_l2 = Plate.new(562, 484) laser_world3:add(plate_l2)

--plates facing down
local plate_d1 = Plate.new(275, 110) laser_world3:add(plate_d1)
local plate_d2 = Plate.new(307, 110) laser_world3:add(plate_d2)
local plate_d3 = Plate.new(51, 303) laser_world3:add(plate_d3)
local plate_d4 = Plate.new(291, 254) laser_world3:add(plate_d4)
local plate_d5 = Plate.new(499, 334) laser_world3:add(plate_d5)
local plate_d6 = Plate.new(19, 511) laser_world3:add(plate_d6)
local plate_d7 = Plate.new(25, 558) laser_world3:add(plate_d7)
local plate_d8 = Plate.new(211, 543) laser_world3:add(plate_d8)
local plate_d9 = Plate.new(275, 543) laser_world3:add(plate_d9)
local plate_d10 = Plate.new(436, 526) laser_world3:add(plate_d10)
local plate_d11 = Plate.new(403, 526) laser_world3:add(plate_d11)
local plate_d12 = Plate.new(547, 494) laser_world3:add(plate_d12)
local plate_d13 = Plate.new(579, 286) laser_world3:add(plate_d13)
local plate_d14 = Plate.new(611, 335) laser_world3:add(plate_d14)
local plate_d15 = Plate.new(643, 286) laser_world3:add(plate_d15)
local plate_d16 = Plate.new(563, 191) laser_world3:add(plate_d16)
local plate_d17 = Plate.new(660, 191) laser_world3:add(plate_d17)



local function teleportPlayer ()
  if not const.get_out then
    player_lvl3.isDisabled = true
    teleportTimer3:after(0.04, function()
      bump_world3:update(player_lvl3, spawn_x_lvl3, spawn_y_lvl3)
      player_lvl3.x = spawn_x_lvl3
      player_lvl3.y = spawn_y_lvl3
      player_lvl3.isDisabled = false
      stuff.vy = player_lvl3.JUMP_HEIGHT/2
      player_lvl3.isGrounded = false
      --animation:resume()
    end)
  end
end

local function checkRight(a, b)
  a.w = 550
  if laser_world3:check_pos(a, "isPlate") then
    a.w = b.x - a.x
    if laser_world3:check_pos(a, "isPlayer") then
      a.w = player_lvl3.x - a.x
      teleportPlayer()
    end
  end
end

local function checkDown(a, b)
  a.h = 230
  if laser_world3:check_pos(a, "isPlate") then
    a.h = b.y - a.y
    if laser_world3:check_pos(a, "isPlayer") then
      a.h = player_lvl3.y - a.y
      teleportPlayer()
    end
  end
end

local function checkLeft(a, b)
  a.w = -350
  if laser_world3:check_neg(a, "isPlate") then
    a.w = (b.x + b.w) - a.x
    if laser_world3:check_neg(a, "isPlayer") then
      a.w = (player_lvl3.x + player_lvl3.w) - a.x
      teleportPlayer()
    end
  end
end

function mt:update(dt)
  teleportTimer3:update(dt)
  laserTimer3:update(dt)
  if laser_is_disabled then return end
  --check right
  linkRight()
  --check down
  linkDown()
  --check left
  checkLeft(laser_l1, plate_l1)
  checkLeft(laser_l2, plate_l2)
end

function linkDown ()
  checkDown(laser_d1, plate_d1)
  checkDown(laser_d2, plate_d2)
  checkDown(laser_d3, plate_d3)
  checkDown(laser_d4, plate_d4)
  checkDown(laser_d5, plate_d5)
  checkDown(laser_d6, plate_d6)
  checkDown(laser_d7, plate_d7)
  checkDown(laser_d8, plate_d8)
  checkDown(laser_d9, plate_d9)
  checkDown(laser_d10, plate_d10)
  checkDown(laser_d11, plate_d11)
  checkDown(laser_d12, plate_d12)
  checkDown(laser_d13, plate_d13)
  checkDown(laser_d14, plate_d14)
  checkDown(laser_d15, plate_d15)
  checkDown(laser_d16, plate_d16)
  checkDown(laser_d17, plate_d17)
end

function linkRight ()
  checkRight(laser_r1, plate_r1)
  checkRight(laser_r2, plate_r2)
  checkRight(laser_r3, plate_r3)
  checkRight(laser_r4, plate_r4)
  checkRight(laser_r5, plate_r5)
  checkRight(laser_r6, plate_r6)
  checkRight(laser_r7, plate_r7)
  checkRight(laser_r8, plate_r8)
  checkRight(laser_r9, plate_r9)
  checkRight(laser_r10, plate_r10)
  checkRight(laser_r11, plate_r11)
  checkRight(laser_r12, plate_r12)
  checkRight(laser_r13, plate_r13)
  checkRight(laser_r14, plate_r14)
  checkRight(laser_r15, plate_r15)
  checkRight(laser_r16, plate_r16)
end

function mt:draw()
end

return {
  new = function ()
    return setmetatable({}, mt)
  end
}
