local mt = {}
mt.__index = mt

local img = love.graphics.newImage('img/key.png')
local key = {}

  --[[key.max = self.y - 4
  key.min = self.y + 4
  key.limit = key.max
  key.speed =0.01]]



function mt:update(dt)
  --[[self.y = self.y - key.speed

  if self.y > key.max then
    key.limit = key.min
    key.speed = - key.speed
   end

  if self.y < key.min then
    key.limit = key.max
    key.speed = - key.speed
  end]]
end

function mt:draw()
  if not self.is_collected then
    love.graphics.draw(img, self.x, self.y)
  end
end

return {
  new = function(x, y)
    return setmetatable({
      x = x,
      y = y,
      --door = door,
      w = img:getWidth(),
      h = img:getHeight(),
      is_collected = false,
      is_key = true
    }, mt)
  end
}
