font = love.graphics.newFont('fonts/SchoonSquare-Regular.ttf', 60)
const = require "const"
EscapeTimer = require "escapeTimer"
run = EscapeTimer.new()
flux = require "lib/flux"
Timer = require "lib/timer"
Camera = require "lib/CameraX"
World = require "lib/World"
anim8 = require "lib/anim8"
bump = require "lib/bump"
sti = require "lib/sti"


Gamestate = require("lib/gamestate")
Player = require "Player"
Laser = require "laser"
Plate = require "laserPlate"
Door = require "door"
Key = require "key"
Artifact = require "artifact"



Player = require "Player"
Gameover = require "gameover"

menu = require "menu"
instructions = require "instructions"
signature = require "signature"
level1 = require "level1"
level2 = require "level2"
level3 = require "level3"
pause = require "pause"
SplashScreen = require "SplashScreen"

beat = love.audio.newSource("sound/Sick beat.ogg", "static")
metronome = love.audio.newSource("sound/metronome.ogg", "static")
breath = love.audio.newSource("sound/breath.ogg", "static")

function love.load ()
  beat:setLooping(true)
  beat:play()

  Gamestate.registerEvents()
  Gamestate.switch(SplashScreen)
end

function love.update(dt)
  flux.update(dt)
  if Gamestate.current() ~= pause then
    run:update(dt)
  end
  if const.lvl3_complete == true then
    spawn_x_lvl2, spawn_y_lvl2 = 685, 406
    spawn_x_lvl1, spawn_y_lvl1 = 423, 430
  end
end

function love.keypressed(key)
  -- if key == "q" then
  --   love.event.push("quit")
  -- end
end
