local signature = {}

local screen = {alpha = 1, fadein = true, fadeout = false, wait = 1, wait2 = 1}

function signature:update(dt)
  if screen.fadein == true and screen.alpha > 0 then
    screen.alpha = screen.alpha - 0.01
  end
  if screen.alpha < 0 and screen.wait > 0 then
    screen.fadein = false
    screen.wait = screen.wait - 0.02
  end
  if screen.wait < 0 and screen.fadeout == false then
    if screen.alpha < 1 then
      screen.alpha = screen.alpha + 0.025
    end
    if screen.alpha > 1 then
      screen.wait2 = screen.wait2 - 0.02
      if screen.wait2 < 0 then
        Gamestate.switch(menu)
      end
    end
  end
end

local text = "A game by Pineapple-guru"

function signature:draw()
  love.graphics.setFont(font)
  love.graphics.setColor(1,1,1,1)
  love.graphics.print(text, const.ww/2 - font:getWidth(text) * 0.5 , const.wh/2 - (font:getHeight(text)/2))
  love.graphics.setColor(0,0,0,screen.alpha)
  love.graphics.rectangle('fill', 0,0,const.ww, const.wh)
end

return signature
